Overview | Package | Class | Use | Tree | Help
| HEADER
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ru.biosoft.math
Class Expression

    |
    +--ru.biosoft.math.Expression

public class Expression
extends Option

Mathematical expression. Expression has two presentations:

1. text - text string using linear syntaxes;
2. ast - AST tree that corresponds to parsed expression.

Field Summary
`static Parser` | `linearParser`

Constructor Summary
`Expression(Option parent, String text)` Constructs new expression from linear syntax or MathML text.
`Expression(Option parent, Node mathElement)` Constructs new expression from linear syntax or MathML text.

Method Summary
`AstStart` | `getAstStart()`
`ParserContext` | `getParserContext()`
`String` | `getText()`
`void` | `parseExpression(String text)`
`void` | `parseExpression(Node math)`
`void` | `setAstStart(AstStart astStart)`
`void` | `setParserContext(ParserContext context)`
`void` | `setText(String text)`

Field Detail

### linearParser

    public static Parser linearParser

Constructor Detail

### Expression

    public Expression(Option parent, String text)

  Constructs new expression from linear syntax or MathML text.

### Expression

    public Expression(Option parent, Node mathElement)

  Constructs new expression from linear syntax or MathML text.

Method Detail

### getAstStart

    public AstStart getAstStart()

### getParserContext

    public ParserContext getParserContext()

### getText

    public String getText()

### parseExpression

    public void parseExpression(String text)

  pending - log messages.

### parseExpression

    public void parseExpression(Node math)

### setAstStart

    public void setAstStart(AstStart astStart)

### setParserContext

    public void setParserContext(ParserContext context)

### setText

    public void setText(String text)

Association Links

to Class org.apache.log4j.Category

to Class java.lang.String

to Class ru.biosoft.math.model.AstStart

to Class ru.biosoft.math.model.ParserContext

to Class ru.biosoft.math.parser.Parser

Overview | Package | Class | Use | Tree | Help
| FOOTER
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

BOTTOM